Define Jekyll version as 3.4.3

Jekyll 3.5.0 creates an error that I cannot fix:

> jekyll 3.5.0 | Error:  undefined method `registers' for nil:NilClass

Not really overly helpful. I tried to remove the `registers' method from all the plugin files and it still didn't work so I have given up and defined the version of Jekyll that my site will use until I have the time to find out how to fix the error.
2 jobs for pages in 4 minutes and 15 seconds (queued for 3 seconds)
Status Name Job ID Coverage
  Deploy
passed pages #19954650

00:04:15

passed pages:deploy

00:00:33